cordova.define("cordova-plugin-r3t-ali-push.ali-push", function(require, exports, module) {
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var cordova_1 = require("cordova");
// 初始化
function listen(success, error) {
    cordova_1.exec(success, error, 'AliPush', 'listen', []);
}
exports.listen = listen;
// 获得设备Id
function getDeviceId(success, error) {
    cordova_1.exec(success, error, 'AliPush', 'getDeviceId', []);
}
exports.getDeviceId = getDeviceId;
// 账户相关
function bindAccount(account, success, error) {
    if (success === void 0) { success = null; }
    if (error === void 0) { error = null; }
    cordova_1.exec(success, error, 'AliPush', 'bindAccount', [account]);
}
exports.bindAccount = bindAccount;
function unbindAccount(success, error) {
    if (success === void 0) { success = null; }
    if (error === void 0) { error = null; }
    cordova_1.exec(success, error, 'AliPush', 'unbindAccount', []);
}
exports.unbindAccount = unbindAccount;
// tags相关
function bindTags(target, tags, success, error) {
    if (success === void 0) { success = null; }
    if (error === void 0) { error = null; }
    cordova_1.exec(success, error, 'AliPush', 'bindTags', [target, tags]);
}
exports.bindTags = bindTags;
function unbindTags(target, tags, success, error) {
    if (success === void 0) { success = null; }
    if (error === void 0) { error = null; }
    cordova_1.exec(success, error, 'AliPush', 'unbindTags', [target, tags]);
}
exports.unbindTags = unbindTags;
function listTags(target, success, error) {
    cordova_1.exec(function (tags) { return success(tags.split(',')); }, // exec按照字符串返回，使用,分割
    error, 'AliPush', 'listTags', [target]);
}
exports.listTags = listTags;
// 别名相关
function addAlias(alias, success, error) {
    if (success === void 0) { success = null; }
    if (error === void 0) { error = null; }
    cordova_1.exec(success, error, 'AliPush', 'addAlias', [alias]);
}
exports.addAlias = addAlias;
function removeAlias(alias, success, error) {
    if (success === void 0) { success = null; }
    if (error === void 0) { error = null; }
    cordova_1.exec(success, error, 'AliPush', 'removeAlias', [alias]);
}
exports.removeAlias = removeAlias;
function listAliases(success, error) {
    cordova_1.exec(function (aliases) { return success(aliases.split(',')); }, // exec按照字符串返回，使用,分割
    error, 'AliPush', 'listAliases', []);
}
exports.listAliases = listAliases;
// 仅限iOS
function setBadge(num, success, error) {
    if (success === void 0) { success = null; }
    if (error === void 0) { error = null; }
    cordova_1.exec(success, error, 'AliPush', 'setBadge', [num]);
}
exports.setBadge = setBadge;
function syncBadge(num, success, error) {
    if (success === void 0) { success = null; }
    if (error === void 0) { error = null; }
    cordova_1.exec(success, error, 'AliPush', 'syncBadge', [num]);
}
exports.syncBadge = syncBadge;
// 仅限Android
function bindPhone(phone, success, error) {
    if (success === void 0) { success = null; }
    if (error === void 0) { error = null; }
    cordova_1.exec(success, error, 'AliPush', 'bindPhone', [phone]);
}
exports.bindPhone = bindPhone;
function unbindPhone(success, error) {
    if (success === void 0) { success = null; }
    if (error === void 0) { error = null; }
    cordova_1.exec(success, error, 'AliPush', 'unbindPhone', []);
}
exports.unbindPhone = unbindPhone;

});
