cordova.define("cordova-plugin-r3t-mixin.mixin", function(require, exports, module) {
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReadPhoneStatePermission = exports.LocationRelatedPermissions = exports.requestPermissions = exports.checkPermissions = exports.optPowerManager = exports.openAppDetail = exports.getHardwareInfo = void 0;
var cordova_1 = require("cordova");
// 获取硬件信息
function getHardwareInfo(successFn, errFn) {
    cordova_1.exec(successFn, errFn, 'Mixin', 'getHardwareInfo', []);
}
exports.getHardwareInfo = getHardwareInfo;
;
// 打开应用详情
function openAppDetail() {
    cordova_1.exec(null, null, 'Mixin', 'openAppDetail', []);
}
exports.openAppDetail = openAppDetail;
// 打开应用管理器，test表示仅尝试匹配而不打开，仅限Android
function optPowerManager(action, successFn) {
    if (cordova_1.platformId !== 'android') { // 以null为参数调用回调，表示未知
        successFn(null);
        return;
    }
    cordova_1.exec(successFn, null, 'Mixin', 'optPowerManager', [action]);
}
exports.optPowerManager = optPowerManager;
// 安卓请求权限
function checkPermissions(permissions, successFn) {
    cordova_1.exec(successFn, null, 'Mixin', 'checkPermissions', permissions);
}
exports.checkPermissions = checkPermissions;
// 安卓请求权限，用户选择不在询问后请求发出错误
function requestPermissions(permissions, successFn, errFn) {
    cordova_1.exec(successFn, errFn, 'Mixin', 'requestPermissions', permissions);
}
exports.requestPermissions = requestPermissions;
// 安卓常用权限
exports.LocationRelatedPermissions = [
    'android.permission.ACCESS_COARSE_LOCATION',
    'android.permission.ACCESS_FINE_LOCATION',
];
exports.ReadPhoneStatePermission = 'android.permission.READ_PHONE_STATE';

});
